Collection
Date: 2013-06-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.contentmanagement.gcubedocumentlibrary.util
Class Collection

    java.lang.Object
      org.gcube.contentmanagement.gcubedocumentlibrary.util.Collection

    public class Collection

extends java.lang.Object

Author:
  Federico De Faveri defaveri@isti.cnr.it

Constructor Summary
`Collection()`
`Collection(java.lang.String id, java.lang.String name, java.lang.String description, java.util.Calendar creationTime, java.lang.Boolean isUserCollection)`

Method Summary
`java.util.Calendar` | `getCreationTime()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getId()`
`java.lang.String` | `getName()`
`boolean` | `isUserCollection()`
`void` | `setCreationTime(java.util.Calendar creationTime)`
`void` | `setDescription(java.lang.String description)`
`void` | `setId(java.lang.String id)`
`void` | `setName(java.lang.String name)`
`void` | `setUserCollection(boolean isUserCollection)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Collection

    public Collection()

### Collection

    public Collection(java.lang.String id,
                      java.lang.String name,
                      java.lang.String description,
                      java.util.Calendar creationTime,
                      java.lang.Boolean isUserCollection)

Method Detail

### getId

    public java.lang.String getId()

  Returns:
    the id

### setId

    public void setId(java.lang.String id)

  Parameters:
    `id` - the id to set

### getName

    public java.lang.String getName()

  Returns:
    the name

### setName

    public void setName(java.lang.String name)

  Parameters:
    `name` - the name to set

### getDescription

    public java.lang.String getDescription()

  Returns:
    the description

### setDescription

    public void setDescription(java.lang.String description)

  Parameters:
    `description` - the description to set

### getCreationTime

    public java.util.Calendar getCreationTime()

  Returns:
    the creation time

### setCreationTime

    public void setCreationTime(java.util.Calendar creationTime)

  Parameters:
    `creationTime` - the creationTime to set

### isUserCollection

    public boolean isUserCollection()

  Returns:
    the isUserCollection

### setUserCollection

    public void setUserCollection(boolean isUserCollection)

  Parameters:
    `isUserCollection` - the isUserCollection to set

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD